"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SummaryCard = void 0;
const react_1 = __importStar(require("react"));
const react_native_paper_1 = require("react-native-paper");
const segment_1 = __importDefault(require("../utils/segment"));
const segmentEvents_1 = require("../data/segmentEvents");
const context_1 = require("../context/context");
const react_native_1 = require("react-native");
const react_native_flash_message_1 = require("react-native-flash-message");
const SummaryCard = ({ onClick, }) => {
    const [detail, setDetail] = (0, react_1.useState)(undefined);
    const { info, userDetail } = (0, context_1.useLMS)();
    (0, react_1.useEffect)(() => {
        if (!info) {
            (0, react_native_flash_message_1.showMessage)({ message: "Email is required", type: "danger" });
        }
        else {
            setDetail(userDetail);
        }
    }, [info, userDetail]);
    return (react_1.default.createElement(react_native_1.View, { style: styles.header },
        react_1.default.createElement(react_native_1.View, { style: styles.itemWrapper },
            react_1.default.createElement(react_native_1.View, { style: styles.items },
                react_1.default.createElement(react_native_paper_1.Text, { variant: "bodySmall" }, "Active Loans"),
                react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyLarge" }, "0")),
            react_1.default.createElement(react_native_1.View, { style: styles.column },
                react_1.default.createElement(react_native_paper_1.Text, { variant: "bodySmall" }, "Applications"),
                react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyLarge" }, "0")),
            react_1.default.createElement(react_native_1.View, { style: styles.items },
                react_1.default.createElement(react_native_paper_1.Text, { variant: "bodySmall" }, "Amount Due"),
                react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyLarge" },
                    "PKR",
                    " ",
                    `${((detail?.kyb.credit_limit || 0) -
                        (detail?.kyb.available_credit_limit || 0)).toLocaleString()}`))),
        react_1.default.createElement(react_native_1.View, { style: styles.gap }),
        react_1.default.createElement(react_native_1.View, { style: { ...styles.column, alignItems: "center" } },
            react_1.default.createElement(react_native_paper_1.Button, { mode: "contained", onPress: () => {
                    onClick?.();
                    segment_1.default.track(segmentEvents_1.SEGMENT_EVENTS.START_FINANCE_APPLICATION);
                } }, "Apply for Financing"),
            react_1.default.createElement(react_native_1.View, { style: styles.gap }),
            react_1.default.createElement(react_native_paper_1.Text, { variant: "bodyMedium" },
                "Credit Limit Left: PKR",
                " ",
                (detail?.kyb.available_credit_limit || 0).toLocaleString()))));
};
exports.SummaryCard = SummaryCard;
const styles = {
    header: {
        width: "100%",
        borderRadius: 4,
        borderWidth: 1,
        borderColor: "#E5EAF2",
        paddingTop: 16,
        paddingBottom: 16,
        justifyContent: "space-between",
        alignItems: "center",
    },
    row: {
        display: "flex",
        flexDirection: "row",
    },
    column: {
        display: "flex",
        flexDirection: "column",
    },
    itemWrapper: {
        display: "flex",
        flexDirection: "row",
        justifyContent: "space-between",
        width: "100%",
        paddingLeft: 16,
        paddingRight: 16,
    },
    gap: {
        width: 10,
        height: 10,
    },
    items: {
        display: "flex",
        flexDirection: "column",
        alignItems: "flex-start",
    },
};
