import React from "react";
import { type AxiosInstance } from "axios";
import type { IBusiness } from "../typings/business";
import type { ThemeProp } from "react-native-paper/src/types";
type WithEmail = {
    email: string;
    contactNumber?: never;
    ntn?: never;
    external_user_id?: never;
};
type WithNtn = {
    email?: never;
    contactNumber?: never;
    ntn: string;
    external_user_id?: never;
};
type WithExternalUserId = {
    email?: never;
    contactNumber?: never;
    ntn?: never;
    external_user_id: string;
};
type WithContactNumber = {
    email?: never;
    contactNumber: string;
    ntn?: never;
    external_user_id?: never;
};
type LMSContextProps = {
    TOKEN: string;
    BASE_URL: string;
    axiosInstance: AxiosInstance;
    info: WithEmail | WithContactNumber | WithNtn | WithExternalUserId;
    setInfo?(info: WithEmail | WithContactNumber | WithNtn | WithExternalUserId): void;
    userDetail?: IBusiness;
};
type Props = {
    children: React.ReactNode;
    token: string;
    base_url: string;
    theme?: "light" | "dark";
    palette?: ThemeProp;
    info: WithEmail | WithContactNumber | WithNtn | WithExternalUserId;
    fonts?: string[];
};
export declare const LMSProvider: React.FC<Props>;
export declare const useLMS: () => LMSContextProps;
export {};
